Name:		compizconfig-python
Version:	0.8.18
Release:	%mkrel 4
Summary:	Python bindings for compizconfig-settings
Group:		System/X11
License:	LGPLv2+
Url:		https://github.com/compiz-reloaded/compizconfig-python
Source0:	https://github.com/compiz-reloaded/compizconfig-python/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	python3-devel
BuildRequires:	python3-cython
BuildRequires:	libcompizconfig-devel
BuildRequires:	pkgconfig(glib-2.0)
Requires:	compiz >= 1:0.8.16
Obsoletes:	%{_lib}compizconfig-python < 0.9.13.1-7

%description
Python bindings for libraries/plugins for compizconfig-settings.

#----------------------------------------------------------------------------

%prep
%setup -q

# make autoreconf more happy
mkdir -p m4

%build
autoreconf -vfi

export PYTHON=%{__python3}
%configure \
	--disable-static \
	--with-cython=cython-3
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete
rm -rf %{buildroot}%{_libdir}/pkgconfig/compizconfig-python.pc

%files
%doc COPYING NEWS
%{python3_sitearch}/compizconfig.so


%changelog
* Sun Apr 03 2022 umeabot <umeabot> 0.8.18-4.mga9
+ Revision: 1841227
- Mageia 9 Mass Rebuild

* Wed Mar 02 2022 mrambo3501 <mrambo3501> 0.8.18-3.mga9
+ Revision: 1787555
- rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 0.8.18-2.mga9
+ Revision: 1717580
- rebuild for python 3.9

* Sat Apr 18 2020 wally <wally> 0.8.18-1.mga8
+ Revision: 1568930
- new version 0.8.18

* Sun Feb 16 2020 umeabot <umeabot> 0.8.16-5.mga8
+ Revision: 1531008
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 08 2019 wally <wally> 0.8.16-4.mga8
+ Revision: 1438449
- rebuild for python3.8

* Mon Jan 07 2019 wally <wally> 0.8.16-3.mga7
+ Revision: 1350666
- rebuild for python3.7

* Sun Dec 09 2018 wally <wally> 0.8.16-2.mga7
+ Revision: 1339393
- obsolete lib{,64}compizconfig-python
- new version 0.8.16 (from compiz-reloaded project)

* Thu Apr 26 2012 julien <julien> 0.9.5.94-0.bzr168.4.mga2
+ Revision: 233369
- rebuild for new compiz

* Fri Mar 23 2012 julien <julien> 0.9.5.94-0.bzr168.3.mga2
+ Revision: 225826
- rebuild for new libcompizconfig

* Sat Mar 03 2012 julien <julien> 0.9.5.94-0.bzr168.2.mga2
+ Revision: 217405
- rebuild for new compiz

* Thu Feb 23 2012 julien <julien> 0.9.5.94-0.bzr168.1.mga2
+ Revision: 212702
- add BR on python
- correct BR for python-cython
- rebuild for new compiz
- drop useless BR

* Sun Feb 05 2012 julien <julien> 0.9.5.94-0.bzr168.mga2
+ Revision: 204820
- update to prerelease from launchpad
- drop upstream patch0

* Sun Jan 22 2012 julien <julien> 0.9.5.92-3.mga2
+ Revision: 199862
- fix segfault in 32 bits, patch borrowed from ubuntu

* Sun Nov 27 2011 julien <julien> 0.9.5.92-2.mga2
+ Revision: 173059
- clean up spec a bit

* Sun Nov 06 2011 julien <julien> 0.9.5.92-1.mga2
+ Revision: 164338
- clean some warnings
- update to 0.9.5.92
- drop devel package

* Sun Jul 10 2011 julien <julien> 0.8.4-4.mga2
+ Revision: 121725
- correct license (lgplv2+ instead of gpl)
- add require on common files of libcompizconfig
- drop really old Obsoletes
- fix description
- cleanup spec

* Mon Feb 28 2011 eandry <eandry> 0.8.4-3.mga1
+ Revision: 61791
- clean spec
- fix source and url
+ colin <colin>
- imported package compizconfig-python


* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.4-2mdv2010.1
+ Revision: 522401
- rebuilt for 2010.1

* Thu Oct 15 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.4-1mdv2010.0
+ Revision: 457728
- New version: 0.8.4
- Harden buildrequires versions

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 0.8.2-1mdv2010.0
+ Revision: 370665
- New version 0.8.2

* Sun Feb 08 2009 Colin Guthrie <cguthrie@mandriva.org> 0.8.0-0.20090208.1mdv2009.1
+ Revision: 338486
- 0.8 pre-release snapshot

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.7.8-1mdv2009.1
+ Revision: 319154
- rebuild with python 2.6
- 0.7.8 final

* Fri Sep 12 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.8-0.20080912.1mdv2009.0
+ Revision: 284291
- New snapshot

* Sun Jul 13 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.7-0.20080713.1mdv2009.0
+ Revision: 234341
- New snapshot
- New version: 0.7.6

* Fri May 23 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.5-0.20080522.1mdv2009.0
+ Revision: 210157
- Update to git snapshot

* Tue Apr 08 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.4-1mdv2009.0
+ Revision: 192369
- New version 0.7.4

* Fri Mar 07 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.2-1mdv2008.1
+ Revision: 181121
- New version 0.7.2

* Mon Feb 18 2008 Colin Guthrie <cguthrie@mandriva.org> 0.6.99-0.20080218.1mdv2008.1
+ Revision: 172296
- Update to git master for new compiz

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 20 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 100723
- New upstream release: 0.6.0

* Fri Oct 19 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-0.20071018.1mdv2008.1
+ Revision: 100097
- Update snapshot from 0.6.0 branch for compiz 0.6.2

* Mon Aug 13 2007 Colin Guthrie <cguthrie@mandriva.org> 0.5.2-1mdv2008.0
+ Revision: 62612
- Official Release: 0.5.2

* Sun Aug 12 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070811.1mdv2008.0
+ Revision: 62120
- Update snapshot

* Wed Aug 01 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070801.1mdv2008.0
+ Revision: 57836
- Updated snapshot

* Sat Jul 14 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070712.2mdv2008.0
+ Revision: 52116
- Update snapshot

* Sun Jul 08 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070707.2mdv2008.0
+ Revision: 49637
- Rebuild against new libcompizconfig

* Sun Jul 08 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.1-0.20070707.1mdv2008.0
+ Revision: 49632
- New Snapshot 20070707
- Obsolete Beryl Settings Bindings
- Import compizconfig-python

